<template>
  <v-app id="page-container" >
            <responsive-nav-vue></responsive-nav-vue>

    <header-vue id="nav"/>

    <router-view/>

    <footer-vue/>
  </v-app>
</template>

<script>
import { mapState } from "vuex";
import ResponsiveNavVue from "./components/ResponsiveNav";
import HeaderVue from "./components/Header.vue";
import FooterVue from "./components/Footer.vue";

export default {
  components: {
    HeaderVue,
    FooterVue,
    ResponsiveNavVue
  },
  mounted() {
    this.$store.dispatch("checkToken");
  },
  computed: {
    ...mapState(["user"])
  }
};
</script>

<style lang="scss">
html {
  height: 100%;
  margin-top: 10%;
  position: relative;
}

body {
  height: 100%;
  min-height: 100%;
}

#footer {
  position: relative;
  height: 100px;
  background-color: black;
  color: white;
}

#page-container {
  position: relative;
  min-height: 100vh;
}

h1 {
  display: flex;
  justify-content: center;
}

#nav {
  padding: 30px;
  a {
    font-weight: bold;
    color: #2c3e50;
    &.router-link-exact-active {
      color: #426cb9;
    }
  }
}
</style>
